Subject: bug#76572: closed (Re: [bug#76572] [PATCH v2 0/4] Fixes for gnome-shell-extension-gsconnect)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 09 Mar 2025 07:17:02 +0000

Your bug report

#76572: [PATCH 0/4] Fixes for gnome-shell-extension-gsconnect

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76572: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76572
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#76572] [PATCH v2 0/4] Fixes for gnome-shell-extension-gsconnect
From: Maxim Cournoyer <[email-masked]>
To: aurtzy <[email-masked]>
Cc: Vivien Kraus <[email-masked]>, [email-masked], Liliana Marie Prikler <[email-masked]>
Date: Sun, 09 Mar 2025 16:16:36 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

aurtzy <[email-masked]> writes:

> Hey Maxim,
>
>> > The 'patch-shebangs phase does not handle shebangs of the form
>> > "/usr/bin/env -S", so we manually patch them to fix a not-found error.
>>
>> Oh!  Could you please open an issue about this open so we remember to
>> fix the problem at its root?
>
> [...]
>
>> I'd also mention and cross-reference the newly opened issue about
>> /usr/bin/env -S not being patched here, with e.g.
>> 
>> TODO: Remove after patch-shebangs is fixed to handle '/usr/bin/env -S'
>> shebangs (see bug#NNNNN).
>
> Looks like someone already beat me to it [1]!  Adjusted to reference
> that report.

Excellent, thank you.

[...]

> Thanks for the tip; noted!  I've adjusted the forms where they don't
> cross column 85 (following editorconfig).

Note that our guideline is actually 80 columns maximum.

I've now installed your change to master, thank you!

-- 
Thanks,
Maxim

Subject: [PATCH 0/4] Fixes for gnome-shell-extension-gsconnect
From: aurtzy <[email-masked]>
To: [email-masked]
Cc: aurtzy <[email-masked]>
Date: Tue, 25 Feb 2025 18:21:48 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

This patch series addresses issues with GSConnect generally not working.

I've been mainly testing this on the gnome-team branch (no relation to
the issues, which have been present in master), but I can confirm that
these patches don't break the main branch (guix pull still works), and
gnome-shell-extension-gsconnect still builds there.

Cheers,

aurtzy

aurtzy (4):
  gnu: gnome-shell-extension-gsconnect: Fix search path patching.
  gnu: gnome-shell-extension-gsconnect: Wrap gsconnect-preferences.
  gnu: gnome-shell-extension-gsconnect: Patch shebangs with gjs.
  gnu: gnome-shell-extension-gsconnect: Fix paths in additional desktop
    file.

 gnu/packages/gnome-xyz.scm | 45 ++++++++++++++++++++++++++++----------
 1 file changed, 34 insertions(+), 11 deletions(-)

base-commit: 8bc831325a905dbd9015739b58e3a5138d2217da
-- 
2.48.1